﻿@model SportsClub.Models.Register.RegisterProgramModel
@using Jumbula.Common.Constants
@using Jumbula.Common.Helper
@{
    Layout = null;

    bool isCamp = Model.ProgramTypeCategory == ProgramTypeCategory.Camp;
    bool counter = false;

}


@if (isCamp)
{

    <div class="program-schedule-accordion registration-ac">
        @for (int i = 0; i < Model.ProgramSchedules.Count; i++)
        {
            string isExpired = "";
            if (Model.ProgramSchedules[i].IsFull)
            {
                isExpired = "expired";
            }
            else
            {
                isExpired = "open";
            }
            <div>
                <h3 class="@isExpired">
                    <span class="caret-accordion"></span>
                    @if (Model.ProgramTypeCategory == ProgramTypeCategory.Camp)
                    {

                        if (Model.ProgramSchedules[i].IsFull && Model.EnabledWaitList == true)
                        {
                            @Html.ActionLink(Constants.DefaultERButtonAddToWaitlistLabel, "AddToWaitlist", "Register", new { returnUrl = Request.Url.AbsolutePath, scheduleId = @Model.ProgramSchedules[i].Id, isIndividual = true }, new { @class = "btn preven-parent pull-right btn_color-green" })
                        }

                        @Model.ProgramSchedules[i].Title

                        @(Model.ProgramSchedules[i].NotStarted ? "(Not Started)" : Model.ProgramSchedules[i].IsExpire ? "(Expired)" : "")


                        if (Model.ProgramSchedules[i].IsFull)
                        {
                            <span style="margin-left:10px;color:#ff0000">Program is full</span>
                        }
                    }
                </h3>
                <div class="accordion-content" style="overflow:hidden;">
                    @{
                        var charges = Model.ProgramSchedules[i].Charges.Where(c => (int)c.Category > 0);
                        var tuitionsChargesClass = !charges.Any(c => !c.IsMandatory && c.Category != ChargeDiscountCategory.EntryFee) ? "no-charge" : "";
                    }
                    <div class="schedule full-width">
                        <div class="col-sm-7 tuitions @tuitionsChargesClass">

                            <h5 style="margin-top: 0;padding-left: 10px;">@(Model.ProgramTypeCategory == ProgramTypeCategory.ChessTournament ? "Select your entry fee" : "Select your tuition option") </h5>

                            <div>
                                @foreach (var price in charges.Where(c => c.Category == ChargeDiscountCategory.EntryFee && !c.HasNoSession))
                                {
                                    var priceIndex = Model.ProgramSchedules[i].Charges.IndexOf(price);
                                    <div class="tuition" id="tuition-@Model.ProgramSchedules[i].Id-@price.Id">

                                        <label>
                                            <span class="check tuition-select jbi-check-box">
                                                <input type="checkbox" class="entryFeeCheckBox" name="chargeEntryFee"
                                                       value="@price.Id"
                                                       @(!Model.ProgramSchedules[i].IsTestMode && ((price.IsFull && !Model.DisableCapacityRestriction) || Model.ProgramSchedules[i].NotStarted || Model.ProgramSchedules[i].IsExpire) ? "disabled" : string.Empty)
                                                       data-chargeid="@price.Id"
                                                       data-parent-charge="@price.Id"
                                                       data-scheduleid="@Model.ProgramSchedules[i].Id"
                                                       data-schedule-title="@Model.ProgramSchedules[i].Title"
                                                       data-category="@price.Category"
                                                       data-subcategory="charge"
                                                       data-amount="@price.Amount"
                                                       data-mandatory="@price.IsMandatory"
                                                       data-name="@price.Name" />
                                            </span>
                                            <span class="title ellipsis tuition-label" title="@price.Name">@price.Name</span>
                                            @{
                                                var earlyBirdNote = string.Empty;
                                                var spotNote = string.Empty;
                                                var leftSessionsNote = string.Empty;
                                                if (price.CapacityLeft > 0 && (Model.ProgramSchedules[i].ShowCapacityLeft || Model.OrderMode == OrderMode.Offline) && price.CapacityLeft <= Model.ProgramSchedules[i].ShowCapacityLeftNumber)
                                                {
                                                    spotNote = string.Format("{0} spots left", price.CapacityLeft);
                                                }
                                                else if (Model.ProgramSchedules[i].TotalCapacityLeft > 0 && (Model.ProgramSchedules[i].ShowCapacityLeft || Model.OrderMode == OrderMode.Offline) && Model.ProgramSchedules[i].TotalCapacityLeft <= Model.ProgramSchedules[i].ShowCapacityLeftNumber)
                                                {
                                                    spotNote = string.Format("{0} spots left", Model.ProgramSchedules[i].TotalCapacityLeft);
                                                }

                                                if (price.IsFull)
                                                {
                                                    if (!Model.DisableCapacityRestriction)
                                                    {
                                                        spotNote = "Full";
                                                    }
                                                    else
                                                    {
                                                        spotNote = "Full - override";
                                                    }
                                                }

                                            }
                                            @if ((!string.IsNullOrEmpty(spotNote)) || (!string.IsNullOrEmpty(leftSessionsNote)) || (!string.IsNullOrEmpty(earlyBirdNote)))
                                            {
                                                if (!string.IsNullOrEmpty(spotNote))
                                                {
                                                    <span class="label label-danger margin-left10" style="font-family:'Segoe UI', Helvetica, Arial, sans-serif; font-size: 11px; font-weight: 400; letter-spacing: .4px;">@spotNote</span>
                                                }
                                            }
                                            @Html.HiddenFor(model => model.ProgramSchedules[i].Charges[priceIndex].ChangedPrice, new { @id = "changedTutionPrice-" + price.Id })

                                            @Html.HiddenFor(model => model.ProgramSchedules[i].Charges[priceIndex].IsPriceChanged, new { @id = "ischangedTutionPrice-" + price.Id })

                                            <span class="price" id="lbl_price_@price.Id" style="padding-left:20px">
                                                @if (Model.OrderMode == OrderMode.Offline)
                                                {
                                                    <span class="edit-price jbi-pencil" title="Edit tuition price" data-priceid="@price.Id" data-priceamount="@price.Amount"></span>
                                                }
                                                @if (!Model.HideProgramPrice)
                                                {
                                                    <span class="amount" id="lbl_price_amount_@price.Id">
                                                        @CurrencyHelper.FormatCurrencyWithPenny(price.Amount, Model.Currency)
                                                    </span>
                                                }
                                            </span>

                                            @if (price.HasProrate && price.ProratePrice > 0)
                                            {

                                                if (price.LeftSessions < 1)
                                                {
                                                    leftSessionsNote = "No session remaining";
                                                }
                                                else
                                                {
                                                    leftSessionsNote = "For " + price.LeftSessions + " remaining sessions " + CurrencyHelper.FormatCurrencyWithPenny(price.Amount, Model.Currency);

                                                    <span class="price" style="text-decoration: line-through; opacity: .6;">@CurrencyHelper.FormatCurrencyWithPenny(price.ProratePrice, Model.Currency)</span>
                                                }
                                            }
                                            else if (price.HasEarlyBird && price.EarlyBirdPrice > 0)
                                            {
                                                earlyBirdNote = string.Format("Early bird price expires on {0} at 11:59 PM", price.EarlyBirdExpireDate.ToString("MMM dd, yyyy"));
                                                <span class="price" style="text-decoration: line-through; opacity: .6;">@CurrencyHelper.FormatCurrencyWithPenny(price.EarlyBirdPrice, Model.Currency)</span>
                                            }


                                            @if ((!string.IsNullOrEmpty(spotNote)) || (!string.IsNullOrEmpty(leftSessionsNote)) || (!string.IsNullOrEmpty(earlyBirdNote)))
                                            {
                                                if (!string.IsNullOrEmpty(leftSessionsNote) || !string.IsNullOrEmpty(earlyBirdNote))
                                                {
                                                    <span class="clearfix"></span>
                                                    <span class="show padding-left20">
                                                        <span class="padding-left20">
                                                            <span class="padding-left20">

                                                                @if (!string.IsNullOrEmpty(leftSessionsNote))
                                                                {
                                                                    <span class="label label-success margin-right10" style="font-family:'Segoe UI', Helvetica, Arial, sans-serif; font-size: 11px; font-weight: 400; letter-spacing: .4px;">@leftSessionsNote</span>
                                                                }
                                                                @if (!string.IsNullOrEmpty(earlyBirdNote))
                                                                {
                                                                    if (Model.ClubDomain.ToLower() != "latinballet")
                                                                    {
                                                                        <span class="label label-success margin-right10" style="font-family:'Segoe UI', Helvetica, Arial, sans-serif; font-size: 11px; font-weight: 400; letter-spacing: .4px;">@earlyBirdNote</span>
                                                                    }
                                                                    else
                                                                    {
                                                                        <span class="label label-success margin-right10" style="font-family:'Segoe UI', Helvetica, Arial, sans-serif; font-size: 11px; font-weight: 400; letter-spacing: .4px;">Prorate price</span>
                                                                    }
                                                                }

                                                            </span>
                                                        </span>
                                                    </span>
                                                }

                                            }
                                        </label>

                                        <ul class="charge-bar full-width">
                                            @foreach (var charge in charges.Where(c => (int)c.Category > 0 && c.IsMandatory && c.Category != ChargeDiscountCategory.EntryFee))
                                            {
                                                <li data-mandatory="true" class="last-item" title="This is a mandatory charge.">
                                                    <span class="title mandatory-charge"
                                                          data-chargeid="@charge.Id"
                                                          data-parent-charge="@price.Id"
                                                          data-scheduleid="@Model.ProgramSchedules[i].Id"
                                                          data-schedule-title="@Model.ProgramSchedules[i].Title"
                                                          data-category="@charge.Category "
                                                          data-subcategory="charge"
                                                          data-amount="@charge.Amount"
                                                          data-mandatory="@charge.IsMandatory"
                                                          data-name="@charge.Name">
                                                        @charge.Name (@CurrencyHelper.FormatCurrencyWithPenny(charge.Amount, Model.Currency))
                                                    </span>
                                                </li>
                                            }
                                        </ul>
                                        <div class="clearfix"></div>
                                        <span style="font-size: 16px;">@price.DropInLable</span>
                                    </div>
                                }

                                @if (Model.ProgramSchedules[i].EnabledDropIn)
                                {
                                    <div class="tuition">
                                        <label>
                                            <span class="check tuition-select jbi-check-box">
                                                <input class="drop-in entryFeeCheckBox" id="@("programIsDropIn"+Model.ProgramSchedules[i].Id)" type="checkbox" name="chargeEntryFee" value="" data-chargeid="" data-parent-charge="-10" data-scheduleid="@Model.ProgramSchedules[i].Id" data-schedule-title="" data-schedule-date="" data-category="EntryFee" data-subcategory="charge" data-amount="0" data-mandatory="False" data-name="" @(Model.ProgramSchedules[i].NotStarted || Model.ProgramSchedules[i].IsExpire ? "disabled" : string.Empty)>
                                            </span>
                                            <span class="title ellipsis tuition-label" title="DropIn">@Model.ProgramSchedules[i].DropInLabel</span>

                                            <input data-val="true" data-val-number="The field ChangedPrice must be a number." id="changedTutionPrice-301515" name="ProgramSchedules[0].Charges[1].ChangedPrice" type="hidden" value="301515">


                                            <input id="ischangedTutionPrice-331522" name="ProgramSchedules[0].Charges[1].IsPriceChanged" type="hidden" value="False">
                                        </label>

                                        <div class="clearfix"></div>
                                    </div>
                                }
                            </div>


                        </div>

                        <div class="extraServicePopup">
                            <div class="col-sm-5 charges @tuitionsChargesClass">
                                <h5>Additional services & charges<span class="hide"> for<br /><span class="tution-title">TuitionTitle</span></span></h5>
                                <ul class="ChargePlan" style="padding: 0 0 0 18px;">
                                    @foreach (var charge in charges.Where(c => (int)c.Category > 0 && !c.IsMandatory && c.Category != ChargeDiscountCategory.EntryFee))
                                    {
                                        <li class="tooltip-flat">

                                            <span class="title ellipsis" style="padding: 0 5px;">
                                                @charge.Name
                                            </span>
                                            <span class="plus btn"
                                                  data-chargeid="@charge.Id"
                                                  data-scheduleid="@Model.ProgramSchedules[i].Id"
                                                  data-schedule-title="@Model.ProgramSchedules[i].Title"
                                                  data-category="@charge.Category "
                                                  data-subcategory="charge"
                                                  data-amount="@charge.Amount"
                                                  data-mandatory="@charge.IsMandatory"
                                                  data-name="@charge.Name">Add</span>
                                            <span class="price"><span>@CurrencyHelper.FormatCurrencyWithPenny(charge.Amount, Model.Currency)</span></span>
                                            <p class="tooltip-flat-text">
                                                <span class="tooltip-title">@charge.Name</span>
                                                <span class="tooltip-description">@charge.Description</span>
                                            </p>


                                            <div class="clearfix"></div>
                                        </li>
                                    }
                                </ul>
                            </div>
                        </div>
                    </div>

                    <div class="clearfix"></div>
                    <div id="@("calender"+Model.ProgramSchedules[i].Id)" style="display: none;float: initial; padding: 0;" class="tourny-reg-section"></div>
                </div>
            </div>

        }
    </div>
}
else
{

    for (int i = 0; i < Model.ProgramSchedules.Count; i++)
    {
        <div class="schedule full-width">

            @if (Model.ProgramTypeCategory == ProgramTypeCategory.Subscription)
            {
                <section id="errorDay">
                    <div id="errorContainer" class="error-message-box">
                        <div class="margin-left20" style="color: #e41a1a; font-size: 19px;">
                            @Html.ValidationSummary(true)
                        </div>
                    </div>
                </section>
                Html.RenderAction("Subscription", new { programId = Model.ProgramId, desiredStartDate = Model.DesiredStartDate });
            }
            else if (Model.ProgramTypeCategory == ProgramTypeCategory.BeforeAfterCare)
            {
                <section id="errorDay">
                    <div id="errorContainer" class="error-message-box">
                        <div class="margin-left20" style="color: #e41a1a; font-size: 19px;">
                            @Html.ValidationSummary(true)
                        </div>
                    </div>
                </section>
                Html.RenderAction("BeforeAfterCare", new { programId = Model.ProgramId, desiredStartDate = Model.DesiredStartDate });
                break;
            }
            else
            {
                if (Model.ProgramTypeCategory == ProgramTypeCategory.Camp)
                {
                    string txtAlign = "center";

                    if (Model.ProgramSchedules[i].IsFull && Model.EnabledWaitList == true)
                    {
                        counter = true;
                        txtAlign = "left";
                        @Html.ActionLink(Constants.DefaultERButtonAddToWaitlistLabel, "AddToWaitlist", "Register", new { returnUrl = Request.Url.AbsolutePath, scheduleId = @Model.ProgramSchedules[i].Id, isIndividual = true }, new { @class = "btn btn_color-green pull-right margin-right10" })
                    }

                    if (counter)
                    {
                        txtAlign = "left";
                    }
                    else
                    {
                        txtAlign = "center";
                    }
                    <div class="dates" style="text-align: @txtAlign;padding: 0 0 15px 10px;">

                        <h3 class="title-link">

                            <span>@Model.ProgramSchedules[i].Title</span>

                            @(Model.ProgramSchedules[i].NotStarted ? "(Not Started)" : Model.ProgramSchedules[i].IsExpire ? "(Expired)" : "")
                        </h3>
                    </div>
                }

                <div class="row-fluid content @(isCamp ? "is-camp" : "")">

                    @{
                        var charges = Model.ProgramSchedules[i].Charges.Where(c => (int)c.Category > 0);
                        var tuitionsChargesClass = !charges.Any(c => !c.IsMandatory && c.Category != ChargeDiscountCategory.EntryFee) ? "no-charge" : "";
                    }

                    <div class="col-sm-7 tuitions @tuitionsChargesClass">

                        <h5 style="margin-top: 0;padding-left: 10px;">@(Model.ProgramTypeCategory == ProgramTypeCategory.ChessTournament ? "Select your entry fee" : "Select your tuition option") </h5>

                        <div>
                            @foreach (var price in charges.Where(c => c.Category == ChargeDiscountCategory.EntryFee && !c.HasNoSession))
                            {
                                var priceIndex = Model.ProgramSchedules[i].Charges.IndexOf(price);
                                <div class="tuition" id="tuition-@Model.ProgramSchedules[i].Id-@price.Id">

                                    <label>
                                        <span class="check tuition-select jbi-check-box">
                                            <input type="checkbox" class="entryFeeCheckBox" name="chargeEntryFee"
                                                   value="@price.Id"
                                                   @(!Model.ProgramSchedules[i].IsTestMode && ((price.IsFull && !Model.DisableCapacityRestriction) || Model.ProgramSchedules[i].NotStarted || Model.ProgramSchedules[i].IsExpire) ? "disabled" : string.Empty)
                                                   data-chargeid="@price.Id"
                                                   data-parent-charge="@price.Id"
                                                   data-scheduleid="@Model.ProgramSchedules[i].Id"
                                                   data-schedule-title="@Model.ProgramSchedules[i].Title"
                                                   data-category="@price.Category"
                                                   data-subcategory="charge"
                                                   data-amount="@price.Amount"
                                                   data-mandatory="@price.IsMandatory"
                                                   data-name="@price.Name" />
                                        </span>
                                        <span class="title ellipsis tuition-label" title="@price.Name">@price.Name</span>
                                        @{
                                            var earlyBirdNote = string.Empty;
                                            var spotNote = string.Empty;
                                            var leftSessionsNote = string.Empty;
                                            if (price.CapacityLeft > 0 && (Model.ProgramSchedules[i].ShowCapacityLeft || Model.OrderMode == OrderMode.Offline) && price.CapacityLeft <= Model.ProgramSchedules[i].ShowCapacityLeftNumber)
                                            {
                                                spotNote = string.Format("{0} spots left", price.CapacityLeft);
                                            }
                                            else if (Model.ProgramSchedules[i].TotalCapacityLeft > 0 && (Model.ProgramSchedules[i].ShowCapacityLeft || Model.OrderMode == OrderMode.Offline) && Model.ProgramSchedules[i].TotalCapacityLeft <= Model.ProgramSchedules[i].ShowCapacityLeftNumber)
                                            {
                                                spotNote = string.Format("{0} spots left", Model.ProgramSchedules[i].TotalCapacityLeft);
                                            }

                                            if (price.IsFull)
                                            {
                                                if (!Model.DisableCapacityRestriction)
                                                {
                                                    spotNote = "Full";
                                                }
                                                else
                                                {
                                                    spotNote = "Full - override";
                                                }
                                            }
                                        }
                                        @Html.HiddenFor(model => model.ProgramSchedules[i].Charges[priceIndex].ChangedPrice, new { @id = "changedTutionPrice-" + price.Id })

                                        @Html.HiddenFor(model => model.ProgramSchedules[i].Charges[priceIndex].IsPriceChanged, new { @id = "ischangedTutionPrice-" + price.Id })
                                        @*@if (Model.OrderMode == OrderMode.Offline)
                                            {
                                            <input class="price input-editable form-control" type="text" style="width:90px" id="price-@price.Id" value="@price.Amount" onchange="changePrice(@price.Id);" />
                                            <span class="price lable-editable" id="lbl_price_@price.Id" style="padding-left:20px">@Utilities.FormatCurrencyWithPenny(price.Amount)</span>
                                            }
                                            else
                                            {
                                            <span class="price" id="lbl_price_@price.Id" style="padding-left:20px">@Utilities.FormatCurrencyWithPenny(price.Amount)</span>
                                            }*@
                                        <span class="price" id="lbl_price_@price.Id" style="padding-left:20px">
                                            @if (Model.OrderMode == OrderMode.Offline)
                                            {
                                                <span class="edit-price jbi-pencil" title="Edit tuition price" data-priceid="@price.Id" data-priceamount="@price.Amount"></span>
                                            }
                                            @if (!Model.HideProgramPrice)
                                            {
                                                <span class="amount" id="lbl_price_amount_@price.Id">
                                                    @CurrencyHelper.FormatCurrencyWithPenny(price.Amount, Model.Currency)
                                                </span>
                                            }

                                        </span>

                                        @if (price.HasProrate && price.ProratePrice > 0)
                                        {

                                            if (price.LeftSessions < 1)
                                            {
                                                leftSessionsNote = "No session remaining";
                                            }
                                            else
                                            {
                                                leftSessionsNote = "For " + price.LeftSessions + " remaining sessions " + CurrencyHelper.FormatCurrencyWithPenny(price.Amount, Model.Currency);

                                                <span class="price" style="text-decoration: line-through; opacity: .6;">@CurrencyHelper.FormatCurrencyWithPenny(price.ProratePrice, Model.Currency)</span>
                                            }
                                        }
                                        else if (price.HasEarlyBird && price.EarlyBirdPrice > 0)
                                        {
                                            earlyBirdNote = string.Format("Early bird price expires on {0} at 11:59 PM", price.EarlyBirdExpireDate.ToString("MMM dd, yyyy"));
                                            <span class="price" style="text-decoration: line-through; opacity: .6;">@CurrencyHelper.FormatCurrencyWithPenny(price.EarlyBirdPrice, Model.Currency)</span>
                                        }


                                        @if ((!string.IsNullOrEmpty(spotNote)) || (!string.IsNullOrEmpty(leftSessionsNote)) || (!string.IsNullOrEmpty(earlyBirdNote)))
                                        {
                                            <span class="clearfix"></span>
                                            <span class="show padding-left20">
                                                <span class="padding-left20">
                                                    <span class="padding-left20">
                                                        @if (!string.IsNullOrEmpty(spotNote))
                                                        {
                                                            <span class="label label-danger margin-right10" style="font-family:'Segoe UI', Helvetica, Arial, sans-serif; font-size: 11px; font-weight: 400; letter-spacing: .4px;">@spotNote</span>
                                                        }
                                                        @if (!string.IsNullOrEmpty(leftSessionsNote))
                                                        {
                                                            <span class="label label-success margin-right10" style="font-family:'Segoe UI', Helvetica, Arial, sans-serif; font-size: 11px; font-weight: 400; letter-spacing: .4px;">@leftSessionsNote</span>
                                                        }
                                                        @if (!string.IsNullOrEmpty(earlyBirdNote))
                                                        {
                                                            if (Model.ClubDomain.ToLower() != "latinballet")
                                                            {
                                                                <span class="label label-success margin-right10" style="font-family:'Segoe UI', Helvetica, Arial, sans-serif; font-size: 11px; font-weight: 400; letter-spacing: .4px;">@earlyBirdNote</span>
                                                            }
                                                            else
                                                            {
                                                                <span class="label label-success margin-right10" style="font-family:'Segoe UI', Helvetica, Arial, sans-serif; font-size: 11px; font-weight: 400; letter-spacing: .4px;">Prorate price</span>
                                                            }
                                                        }

                                                    </span>
                                                </span>
                                            </span>
                                        }
                                    </label>

                                    <ul class="charge-bar full-width">
                                        @foreach (var charge in charges.Where(c => (int)c.Category > 0 && c.IsMandatory && c.Category != ChargeDiscountCategory.EntryFee))
                                        {
                                            <li data-mandatory="true" class="last-item" title="This is a mandatory charge.">
                                                <span class="title mandatory-charge"
                                                      data-chargeid="@charge.Id"
                                                      data-parent-charge="@price.Id"
                                                      data-scheduleid="@Model.ProgramSchedules[i].Id"
                                                      data-schedule-title="@Model.ProgramSchedules[i].Title"
                                                      data-category="@charge.Category "
                                                      data-subcategory="charge"
                                                      data-amount="@charge.Amount"
                                                      data-mandatory="@charge.IsMandatory"
                                                      data-name="@charge.Name">
                                                    @charge.Name (@CurrencyHelper.FormatCurrencyWithPenny(charge.Amount, Model.Currency))
                                                </span>
                                            </li>
                                        }
                                    </ul>
                                    <div class="clearfix"></div>
                                </div>
                            }
                        </div>
                    </div>

                    <div class="col-sm-5 charges @tuitionsChargesClass">
                        <h5>Additional services & charges<span class="hide"> for<br /><span class="tution-title">TuitionTitle</span></span></h5>
                        <ul class="ChargePlan" style="padding: 0 0 0 18px;">
                            @foreach (var charge in charges.Where(c => (int)c.Category > 0 && !c.IsMandatory && c.Category != ChargeDiscountCategory.EntryFee))
                            {
                                <li class="tooltip-flat">

                                    <span class="title ellipsis" style="padding: 0 5px;">
                                        @charge.Name
                                    </span>
                                    <span class="plus btn"
                                          data-chargeid="@charge.Id"
                                          data-scheduleid="@Model.ProgramSchedules[i].Id"
                                          data-schedule-title="@Model.ProgramSchedules[i].Title"
                                          data-category="@charge.Category "
                                          data-subcategory="charge"
                                          data-amount="@charge.Amount"
                                          data-mandatory="@charge.IsMandatory"
                                          data-name="@charge.Name">Add</span>
                                    <span class="price"><span>@CurrencyHelper.FormatCurrencyWithPenny(charge.Amount, Model.Currency)</span></span>
                                    <p class="tooltip-flat-text">
                                        <span class="tooltip-title">@charge.Name</span>
                                        <span class="tooltip-description">@charge.Description</span>
                                    </p>


                                    <div class="clearfix"></div>
                                </li>
                            }
                        </ul>
                    </div>
                    <div class="clearfix"></div>
                </div>
            }
        </div>

    }

}

@if (Model.OrderMode == OrderMode.Offline)
{
    <div class="modal fade" id="tuitionPriceEditModal">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Edit tuition price</h4>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label for="priceInput">Tuition price</label>
                        <input type="text" class="form-control" id="priceInput" onchange="changePrice(this);">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Done</button>
                </div>
            </div>
        </div>
    </div>
}

<script type="text/javascript">

    $('.drop-in').click(function () {

        if ($(this).is(':checked')) {

            var scheduleId = $(this).data('scheduleid');

            $.ajax({
                method: "POST",
                dataType: 'html',
                url: "/Register/Calendar",
                data: {
                    scheduleId: scheduleId,
                    programId: $('#ProgramId').val(),
                },
                beforeSend: function () {
                    blockUI();
                },
                success: function (data) {
                    $('#calender' + scheduleId).html(data);
                },
                error: function () {
                    unblockUI();
                },
                complete: function () {
                    unblockUI();
                }
            })
        }
    })
</script>
